package com.brilliance.isc.swift.objmtconvert.model.mt9xx.tag.tag995;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt9xx.MT995Creator;

public class Tag77ACreator extends AbsTagCreate {
    private MT995Creator mt995Creator;

    public Tag77ACreator(AbsMTCreator absMTCreator) {
        super(absMTCreator);
        mt995Creator = (MT995Creator) absMTCreator;
    }

    @Override
    public void creator() {
        String tag77AValue = mt995Creator.getNarrative();
        mt995Creator.set("77A", tag77AValue);
    }
}
